Bug 146747 - Crash mergedlo!SfxItemPool::PutImpl+0x1a7:
Summary: Crash mergedlo!SfxItemPool::PutImpl+0x1a7:
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+ Master
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.4.0 target:7.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-13 19:07 UTC by Telesto
Modified: 2022-01-20 02:22 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2022-01-13 19:07:14 UTC
Description:
Crash mergedlo!SfxItemPool::PutImpl+0x1a7:

Steps to Reproduce:
1. Open the sidebar
2. Right click Default paragraph style -> Modify -> Outline & List tab
3. pick a list style
4. Press edit -> crash

Pretty similar to bug 146285 

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: bb29b12a9e367d181a5d9d962d466df41e093e0c
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2022-01-13 19:08:35 UTC
No crash with
Version: 7.2.1.0.0+ (x64) / LibreOffice Community
Build ID: 8fdbb8aed1b48734a717d5f98ada566de7204605
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 2 Telesto 2022-01-13 19:09:56 UTC
@Caolan
Bug 146285 got fixed, but found another case
Comment 3 Commit Notification 2022-01-14 12:51:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/168bd36582a1795a1b2a64a62afef742c3e017a6

tdf#146747 InternalItems has to be null terminated

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2022-01-14 12:52:08 UTC
done in trunk, backport to 7-3 and 7-3-0 in gerrit
Comment 5 Commit Notification 2022-01-17 08:08:22 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/dbdbdee9a136a67c33bda430a37f6661395785d5

tdf#146747 InternalItems has to be null terminated

It will be available in 7.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-01-18 21:19:50 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-3-0":

https://git.libreoffice.org/core/commit/c198a0cf08ee251ca75c5ea5ad3297d9cede2667

tdf#146747 InternalItems has to be null terminated

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.